/* pg-gsl, GSL (GNU Scientific Library) SQL API for postgresql
 *
 * Copyright (C) 1998, 2001 FSF, g.p.ciceri <gp.ciceri@acm.org>
 *
 * The pg-sql library is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or (at your
 * option) any later version.
 *
 * The pg-nettle library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with the nettle library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA.
 */

#include "postgres.h"
#include "fmgr.h"
#include "utils/builtins.h"

#include <math.h>

#include <gsl/gsl_randist.h>


Datum gslrangaussianpdf(PG_FUNCTION_ARGS);

/*
* SQL function: gslrangaussianpdf(double, double) returns double
*/
PG_FUNCTION_INFO_V1(gslrangaussianpdf);

Datum
gslrangaussianpdf(PG_FUNCTION_ARGS)
{

    double arg, sigma, ret;

	arg = PG_GETARG_FLOAT8(0);
	sigma = PG_GETARG_FLOAT8(1);

    ret = gsl_ran_gaussian_pdf(arg, sigma);

	PG_RETURN_FLOAT8(ret);

}

